package com.rv.share;

import android.content.Intent;
import android.os.Bundle;

import com.ruiwenliu.wrapper.base.BaseBean;
import com.ruiwenliu.wrapper.weight.TitleView;
import com.rv.home.rv.module.basic.BaseStatusActivity;
import com.rv.share.presenter.SharePresenter;

public class ShareActivity extends BaseStatusActivity<SharePresenter> {

    @Override
    protected int setLayout() {
        return R.layout.activity_share;
    }

    @Override
    protected void initView(Bundle savedInstanceState, TitleView titleView, Intent intent) {

    }

    @Override
    protected void loadData(Bundle savedInstanceState, Intent intent) {
        super.loadData(savedInstanceState, intent);
        mPresenter.showShareDialog();
    }

    @Override
    public void onShowResult(int requestType, BaseBean result) {

    }
}
